local components = {}

components.dict = {
  velocity = "race.velocity",
  max_speed = "race.max_speed",
  accel = "race.accel",
  grip = "race.grip",
  steer = "race.steer",
  brake = "race.brake",
  decel = "race.decel",
  drag = "race.drag",
  direction = "race.direction"
}

function components.velocity (c, x)
  c.data = x
end

function components.max_speed (c, x)
  c.data = x
end

function components.accel (c, x)
  c.data = x
end

function components.grip (c, x)
  c.data = x
end

function components.steer (c, x)
  c.data = x
end

function components.brake (c, x)
  c.data = x
end

function components.decel (c, x)
  c.data = x
end

function components.drag (c, x)
  c.data = x
end

function components.direction (c, x)
  c.data = x
end

return components
